Skip to main content

List a share directory

GET 

/shares/:name/browse

Required role: viewer. An account or token with the viewer or admin role can call this operation.

Example request
curl --request GET \
--header "Authorization: Bearer $HOSERVA_TOKEN" \
"https://$HOSERVA_HOST:8008/api/v1/shares/{name}/browse"

Lists one directory of the share, including the holding disk per entry from mergerfs user.mergerfs.basepath. This is an explicit call and may wake disks — it is never polled.

Request​

Responses​

Directory listing.